export type ForgeOnboardingContainerUsageRemoteModel = {
    workspaceHasCustomContainer: boolean;
    userHasUsedCustomContainer: boolean;
};
export type ForgeOnboardingContainerUsageTransportModel = ForgeOnboardingContainerUsageRemoteModel;
export declare class ForgeOnboardingContainerUsage {
    hasWorkspaceCustomContainer: boolean;
    hasUserUsedCustomContainer: boolean;
    constructor(model: ForgeOnboardingContainerUsageRemoteModel);
    toRemote(): ForgeOnboardingContainerUsageRemoteModel;
    toTransport(): ForgeOnboardingContainerUsageTransportModel;
    static fromTransport(model: ForgeOnboardingContainerUsageTransportModel): ForgeOnboardingContainerUsage;
}
